;*********************************************************************************************
; Dateiname 	: 	SD_SCHILLER_Atribute_Tabellen.lsp
; Autor         : 	Stephan Wrz
; Erstellt      :	22.04.2005
; gendert    	:
;*********************************************************************************************
; Beschreibung:		- 	Generiert die logischen Tabellen fr "SD_SCHILLER_Atribute.lsp"
;*********************************************************************************************
; nderungen
;
;*********************************************************************************************

(in-package :teo)
(use-package :oli)

;*********************************************************************************************
(sd-create-logical-table 	"Lesa_HLZ_Artikel"
  :columns        '(:Lesa_HLZ_Artikel)
  :columnNames    '("Lesa_HLZ_Artikel" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("k.A." )                 
	("nicht angelegt" )
 ))
  
(sd-create-display-table   	"DT_Lesa_HLZ_Artikel"
   :tableTitle             	"... bitte waehlen"
   :logicalTable           	"Lesa_HLZ_Artikel"
   :columns                	'(:Lesa_HLZ_Artikel)
   :applyColumns          	'(:Lesa_HLZ_Artikel)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)


;*********************************************************************************************
(sd-create-logical-table 	"Lesa_HLZ_Benennung"
  :columns        '(:Lesa_HLZ_Benennung)
  :columnNames    '("Lesa_HLZ_Benennung" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("Bandstahl" )
	("Flachmaterial" )
	("Flachstab")
	("Gewindestange" )
	("Gleitleiste" )                 
	("Platte" )
	("Plattenmaterial" )
	("Profil" )
	("Przisions-Lehrenband" )	
	("Quadratprofil" )
	("Rechteckprofil" )
	("Rechteckrohr" )
	("Rundmaterial" )
	("Rundriemen" )
	("Rundrohr" )
	("Sechskantmaterial" )
	("Strebenprofil")
	("Tunnelprofil" )
	("Verglasungsprofil" )
	("Vierkantmaterial" )
	("Vierkantrohr" )
	("Vierkantstahl" )
	("Winkelprofil" )
	("Zellgummiband" )
	("Zuschnitt")
 ))
  
(sd-create-display-table   	"DT_Lesa_HLZ_Benennung"
   :tableTitle             	"... Benennung waehlen"
   :logicalTable           	"Lesa_HLZ_Benennung"
   :columns                	'(:Lesa_HLZ_Benennung)
   :applyColumns          	'(:Lesa_HLZ_Benennung)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)


;*********************************************************************************************
(sd-create-logical-table 	"Lesa_HLZ_Typ"
  :columns        '(:Lesa_HLZ_Typ)
  :columnNames    '("Lesa_HLZ_Typ" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("20x20" )                 
	("40x20" )
	("40x40" )
	("80x40" )
 ))
  
(sd-create-display-table   	"DT_Lesa_HLZ_Typ"
   :tableTitle             	"... Typ waehlen"
   :logicalTable           	"Lesa_HLZ_Typ"
   :columns                	'(:Lesa_HLZ_Typ)
   :applyColumns          	'( :Lesa_HLZ_Typ)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)

;*********************************************************************************************

(sd-create-logical-table 	"Lesa_HLZ_Werkstoff"
  :columns        '(:Lesa_HLZ_Werkstoff)
  :columnNames    '("Lesa_HLZ_Werkstoff")
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
 ("100Cr6")
 ("16MnCr5 (1.7131)")
 ("40 CrMnMo S 8-6")
 ("90MnCrV8")
 ("9S20K (1.0711)")
 ("ABS schwarz")
 ("ABS weiss")
 ("AlCuMgPb")
 ("Al-K-100/C250")
 ("AlMg4,5Mn")
 ("AlMgSi0.5")
 ("AlMgSi1")
 ("Al-Plan walzroh gegl. u. gerich")
 ("Al-plan")
 ("Al-Profil")
 ("Al-Profil-Schiller")
 ("AlZnMgCu1.5") 
 ("C110W2 (1.1654)")
 ("C45W3")
 ("C60")
 ("Cf53 ind.geh. masshartver.")
 ("Ck53 (1.1213)")
 ("Cu")
 ("CuCrZr Elmedur")
 ("CuZn (Messing)")
 ("CuZn40Pb2")
 ("Dotherm 600 M")
 ("DPC-100")
 ("Duran-Glas")
 ("Eladur E50")
 ("EPDM")
 ("ESG Floatglas")
 ("ESG Parsol")
 ("ESP 65")
 ("Fibroflex")
 ("Filz")
 ("FPM (Viton)")
 ("Hartmetall GM25F")
 ("Hasberg rostfrei")
 ("HGW (Hartgew.)")
 ("Keramik")
 ("Kunststoff sw. leitfhig")
 ("Kunststoff sw.")
 ("Moosgummi")
 ("Murtfeldt S gr.")
 ("Murtfeldt S sw.")
 ("PA 6 GF")
 ("PA")
 ("PC klar")
 ("PC")
 ("PE schwarz")
 ("PEEK")
 ("PEEK-SP")
 ("PET")
 ("PFA transparent")
 ("PFA")
 ("PMMA (Acrylglas)")
 ("POM natur")
 ("POM schwarz")
 ("PP grau")
 ("Promapan")
 ("PTFE")
 ("PTFE-25%Kohle")
 ("PUR")
 ("PVC klar antistatik, rauchbraun")
 ("PVDF")
 ("RTV-M533/T46")
 ("Semitron")
 ("Sintimid pur")
 ("SI-Schaummatte")
 ("St12 03")
 ("St37-2")
 ("St37K")
 ("St60K")
 ("VA (1.4301 3D)")
 ("VA (1.4301 K240)")
 ("VA (1.4301 K320)")
 ("VA (1.4301)")
 ("VA (1.4305)")
 ("VA (1.4310) Federbandstahl")
 ("VA (1.4401)")
 ("VA (1.4408)")
 ("VSG Parsol")
 ("X12CrNi17 7 (1.4310)")
 ("X155CrVMo12 1 (1.2379)")
 ("X19NiCrMo4")
 ("X210CrW12")
 ("X90CrMoV18")
 ("Zincor")   	            	            	            	            	          
 ))
  
(sd-create-display-table   	"DT_Lesa_HLZ_Werkstoff"
   :tableTitle             	"... Werkstoff waehlen"
   :logicalTable           	"Lesa_HLZ_Werkstoff"
   :columns                	'(:Lesa_HLZ_Werkstoff)
   :applyColumns          	'(:Lesa_HLZ_Werkstoff)
   :selectionMode          	:single-row
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)
;*********************************************************************************************


(sd-create-logical-table 	"Lesa_HLZ_NORM"
  :columns        '(:Lesa_HLZ_NORM)
  :columnNames    '("Lesa_HLZ_NORM" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("DIN 123" )                 
	("DIN 456" )
	("DIN 789" )
 ))
  
(sd-create-display-table   	"DT_Lesa_HLZ_NORM"
   :tableTitle             	"... Norm waehlen"
   :logicalTable           	"Lesa_HLZ_NORM"
   :columns                	'(:Lesa_HLZ_NORM)
   :applyColumns          	'(:Lesa_HLZ_NORM)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)
;*********************************************************************************************


(sd-create-logical-table 	"Lesa_HLZ_Hersteller"
  :columns        '(:Lesa_HLZ_Hersteller)
  :columnNames    '("Lesa_HLZ_Hersteller" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("Bosch Rexroth" )                 
	("Bilz" )
	("sonstwer" )
 ))
  
(sd-create-display-table   	"DT_Lesa_HLZ_Hersteller"
   :tableTitle             	"... Hersteller waehlen"
   :logicalTable           	"Lesa_HLZ_Hersteller"
   :columns                	'(:Lesa_HLZ_Hersteller)
   :applyColumns          	'(:Lesa_HLZ_Hersteller)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)

;*********************************************************************************************

(sd-create-logical-table 	"LESA_OBERFLAECHE"
  :columns        '(:LESA_OBERFLAECHE)
  :columnNames    '("LESA_OBERFLAECHE" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
    ("AD-Coat 32/2000lf") 
    ("AD-Coat 81/500") 
    ("Brniert") 
    ("Chem. Nickel 0.010 mm") 
    ("Chem. Nickel 0.030 mm") 
    ("EP 20") 
    ("Elektro poliert") 
    ("Gebrstet") 
    ("Glattpulverbesch. RAL:") 
    ("Gold eloxiert") 
    ("HC-Plus 0.040 mm") 
    ("Hart elox. 0.030 mm") 
    ("Hart elox. 0.050 mm") 
    ("Hartchrom 0.010 mm") 
    ("Lackiert schwarz matt") 
    ("Natur eloxiert") 
    ("Perlgestrahlt") 
    ("Poliert") 
    ("RAL:") 
    ("Sandgestrahlt") 
    ("Schwarz eloxiert") 
    ("Strukturpulverbesch. RAL:")
    ("Verzinkt")
 ))
  
(sd-create-display-table   	"DT_LESA_OBERFLAECHE"
   :tableTitle             	"... Oberflaeche waehlen"
   :logicalTable           	"LESA_OBERFLAECHE"
   :columns                	'(:LESA_OBERFLAECHE)
   :applyColumns          	'(:LESA_OBERFLAECHE)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)
;*********************************************************************************************

(sd-create-logical-table 	"LESA_WAERMEBEH"
  :columns        '(:LESA_WAERMEBEH)
  :columnNames    '("LESA_WAERMEBEH" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("Ausgehrtet 1100 HV")
	("E.geh.HRC60 +-2 Eht0.3")
	("E.geh.HRC60 +-2 Eht0.6")
	("E.geh.HRC60 +-2 Eht0.9")
	("Gasnitriert 0.1 mm")
	("Gehrtet/Angel. HRC=55")
	("Gehrtet/Angel. HRC=60")
	("Kolsterisiert 0.033 mm")
	("Nitriert HRC=64")
	("Plasmanitriert 0.1 mm")
	("Plasmanitriert 0.3 mm")
	("Plasmanitriert 0.4-0.6 mm")
	("Randschichtgeh. HRC=58")
	("Spannungsfreiglhen")
	("Vakuumgeh.HRC55 +-2")
	("Vakuumgeh.HRC60 +-2")
	("Vakuumgeh.HRC62 +-2")
 ))
  
(sd-create-display-table   	"DT_LESA_WAERMEBEH"
   :tableTitle             	"... Waermebehandlung waehlen"
   :logicalTable           	"LESA_WAERMEBEH"
   :columns                	'(:LESA_WAERMEBEH)
   :applyColumns          	'(:LESA_WAERMEBEH)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)

;*********************************************************************************************

(sd-create-logical-table 	"LESA_LAENGE"
  :columns        '(:LESA_LAENGE)
  :columnNames    '("LESA_LAENGE" )
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("t=1,5" )                 
	("t=2" )                 
	("t=3" )                 
	("t=4" )                 
	("t=5" )                 
	("t=6" )
	("")                 
	(" mm lang" )                 
	("Laenge: " )
	("LxBxH" )
 ))
  
(sd-create-display-table   	"DT_LESA_LAENGE"
   :tableTitle             	"... bitte waehlen"
   :logicalTable           	"LESA_LAENGE"
   :columns                	'(:LESA_LAENGE)
   :applyColumns          	'(:LESA_LAENGE)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)



;*********************************************************************************************

(sd-create-logical-table 	"LESA_SCHLUESSEL"
  :columns        '(:LESA_SCHLUESSEL)
  :columnNames    '("LESA_SCHLUESSEL")
  :types          '(:string )
  :units          '(nil)
  :contents       '( 
	("Zeichnungsteil" )                 
	("Baugruppe/Modul" )
	("Katalogteil" )
	("Normteil" )
 ))
  
(sd-create-display-table   	"DT_LESA_SCHLUESSEL"
   :tableTitle             	"... Schluessel waehlen"
   :logicalTable           	"LESA_SCHLUESSEL"
   :columns                	'(:LESA_SCHLUESSEL)
   :applyColumns          	'(:LESA_SCHLUESSEL)
   :selectionMode          	:single-row 
   :applyAction            	:default-tokens
   :afterApplyBehavior		:close-if-not-pinned
)



